import java.util.*;
public class ListeObjets extends ArrayList<Objet> {
  public ListeObjets() { super(); }
  public ListeObjets(ArrayList<Objet> v){ super(v); }
  public ArrayList<Objet> getListe(){ return this; }
  public void trie(){ Collections.sort(this); }
  public int taille(){ return size(); }
  public void ajoute(Objet x){ add(x);}
  public void retireObjet(int i){ remove(i); }
  public void retireObjet(Objet x){ remove(x); }
  public int getPoidsTotal(){
    int pds=0;
    for(int i=0; i<size();i++) pds+=get(i).poids;
    return pds;
  }
  public int getUtilTotale(){
    int u=0;
    for(int i=0; i<size();i++) u+=get(i).util;
    return u;
  }
  public ListeObjets duplique(){ return new ListeObjets(new ArrayList<>(this)); }
  public void append(ListeObjets l){ addAll(l); }
  public int index(Objet o){ return contains(o)? indexOf(o) :-1; }
  @Override
  public String toString(){
    String s="";
    for (int i=0 ;i<size();i++) s+=get(i).toString()+"; ";
    return s+"\n";
  }
  public String affichelNum(){
    String s="";
    for (int i=0 ;i<size();i++) s+=" "+get(i).num;
    return s+"\n";
  }
  public String affichelPoids(){
    String s="";
    for (int i=0 ;i<size();i++) s+=" "+get(i).poids;
    return s+"\n";
  }
  public String affichelUtil(){
    String s="";
    for (int i=0 ;i<size();i++) s+=" "+get(i).util;
    return s+"\n";
  }
}
